Partially update KYB form token
curl --request PATCH \
--url https://ivs.idenfy.com/kyb/tokens/{tokenString}/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"scanRefs": [
"<string>"
],
"tags": []
}
'import requests
url = "https://ivs.idenfy.com/kyb/tokens/{tokenString}/"
payload = {
"scanRefs": ["<string>"],
"tags": []
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({scanRefs: ['<string>'], tags: []})
};
fetch('https://ivs.idenfy.com/kyb/tokens/{tokenString}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://ivs.idenfy.com/kyb/tokens/{tokenString}/")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"scanRefs\": [\n \"<string>\"\n ],\n \"tags\": []\n}")
.asString();
using RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/kyb/tokens/{tokenString}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
request.AddJsonBody("{\n \"scanRefs\": [\n \"<string>\"\n ],\n \"tags\": []\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/kyb/tokens/{tokenString}/"
payload := strings.NewReader("{\n \"scanRefs\": [\n \"<string>\"\n ],\n \"tags\": []\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"scanRefs\": [\n \"<string>\"\n ],\n \"tags\": []\n}")
val request = Request.Builder()
.url("https://ivs.idenfy.com/kyb/tokens/{tokenString}/")
.patch(body)
.addHeader("Authorization", "Basic <encoded-value>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"scanRefs": ["<string>"],
"tags": []
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://ivs.idenfy.com/kyb/tokens/{tokenString}/")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"scanRefs": [
"<string>"
],
"tags": []
}Partially update KYB form token
PATCH
/
kyb
/
tokens
/
{tokenString}
/
Partially update KYB form token
Authorizations
The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.
Path Parameters
Token string used for authentication.
Body
application/json
Was this page helpful?
⌘I